
Redmine - Defect #28930

[Rails 5.2] sanitize dangerous query statements

2018-06-01 22:09 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

DEPRECATION WARNING: Dangerous query method (method whose arguments are used as raw SQL) called with non-attribute

argument(s): "(CASE WHEN versions.effective_date IS NULL THEN 1 ELSE 0 END) DESC". Non-attribute arguments will be

disallowed in Rails 6.0. This method should not be called with user-provided values, such as request parameters or model attributes.

Known-safe values can be passed by wrapping them in Arel.sql().

Related issues:

Related to Redmine - Patch #28933: Migrate to Rails 5.2 Closed

History

#1 - 2018-06-02 04:14 - Go MAEDA

- Related to Patch #28933: Migrate to Rails 5.2 added

#2 - 2018-06-23 07:20 - Jean-Philippe Lang

- Status changed from New to Closed

See r17411.

Files

arelsql.patch 9.96 KB 2018-06-01 Pavel Rosický
